* {
    /* border: 1px solid red; */
    scrollbar-color: rgb(211, 211, 211) transparent;
}

/* for dynamic color using bootstrap classs*/
:root {
    --bs-dark: #274546;
    --bs-light: #ffffff;
    --bs-border: rgba(255, 255, 255, 0.408);
    --bs-background: rgba(255, 255, 255, 0.055);
}

.text-light {
    color: var(--bs-light) !important;
}

.text-dark {
    color: var(--bs-dark) !important;
}

.bg-light {
    background-color: var(--bs-light) !important;
}

.btn-light {
    --bs-btn-color: var(--bs-dark) !important;
    --bs-btn-bg: var(--bs-light) !important;
    --bs-btn-border-color: none !important;
}

/* dynamic color code eends here*/

body {
    background-color: var(--bs-dark);
    scroll-behavior: smooth;
}

#loader-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: #212529;
    /* blurred effect illusion */
    backdrop-filter: blur(8px);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 99999;
}

.loader {
    width: 48px;
    height: 48px;
    border: 3px dotted #FFF;
    border-style: solid solid dotted dotted;
    border-radius: 50%;
    display: inline-block;
    position: relative;
    box-sizing: border-box;
    animation: rotation 2s linear infinite;
}

.loader::after {
    content: '';
    box-sizing: border-box;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    border: 3px dotted #FFF;
    border-style: solid solid dotted;
    width: 24px;
    height: 24px;
    border-radius: 50%;
    animation: rotationBack 1s linear infinite;
    transform-origin: center center;
}

@keyframes rotation {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

@keyframes rotationBack {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(-360deg);
    }
}

.scroll-animate {
    opacity: 0;
    transform: translateY(50px);
    transition: all 1s ease-out;
}

/* Final state: visible & original position */
.scroll-animate.in-view {
    opacity: 1;
    transform: translateY(0);
}

.box-style {
    padding: 15px;
    background-color: var(--bs-background);
    box-shadow: 0px 7px 10px rgb(28, 28, 28);
    border-radius: var(--bs-border-radius-xl);
    border: 2px solid var(--bs-border);
}

.custom-tooltip {
    --bs-tooltip-bg: var(--bs-light);
    --bs-tooltip-color: var(--bs-dark);
}

/* .navigation-container {
    position: fixed;
    left: 0;
    bottom: 0;
    background-color: var(--bs-dark);
    border: 2px solid rgba(255, 255, 255, 0.133);
    padding: 15px 0;
} */
.navigation-container {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: var(--bs-border);
    padding: 15px 0;
    clip-path: polygon(5% 0%, 0% 100%, 100% 100%, 95% 0%);
    border-radius: 20px 20px 0 0;
    z-index: 999;
}

.navigation-container:after {
    content: '';
    position: absolute;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    height: 95%;
    width: 98%;
    background-color: var(--bs-dark);
    padding: 15px 0;
    clip-path: polygon(5% 0%, 0% 100%, 100% 100%, 95% 0%);
    border-radius: 20px 20px 0 0;
    z-index: -1;
}


.navigation-container .navigation-name {
    font-size: 12px;
    display: none;
}


@media (min-width: 768px) {
    .navigation-container {
        padding: 8px 0;
    }

    .navigation-container .navigation-name {
        display: block;
    }
}

.primary-content,
.secondary-content {
    /* height: 100vh; */
    padding: 2rem 1rem;
}

.profile-container {
    width: 100%;
    height: auto;
    position: sticky;
    top: 2rem;
}

.profile-container .logo-dp-container {
    position: relative;
    height: fit-content;
}

.profile-container .brand-dp {
    height: 80px;
    background-color: var(--bs-dark);
}

.profile-container .brand-logo {
    position: absolute;
    top: 30px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 12;
    height: 100px;
    width: 100px;
    background-color: var(--bs-dark);
}

.profile-container #verified-mark {
    background-color: var(--bs-light);
    /* padding: 2px; */
}

.small-description {
    font-size: 12px;
}

.profile-container .social-mediaLinks svg {
    transition: all 1s ease;
    background-color: white;
    padding: 2px;
    border-radius: 50%;
}

.profile-container .social-mediaLinks svg:hover {
    scale: 1.2;
    filter: drop-shadow(0px 0px 5px white);
}

.secondary-content .qrcode {
    height: 150px;
    width: 150px;
    /* filter: invert(1) brightness(100); */
}

.secondary-content .custom-input {
    background-color: transparent !important;
    color: white !important;
    border: 2px solid rgba(255, 255, 255, 0.133) !important;
    border-radius: var(--bs-border-radius-lg);
}

.secondary-content .custom-input::placeholder {
    color: rgba(255, 255, 255, 0.6);
}

.secondary-content .product-details {
    height: 100%;
    /* width: 150px; */
}

.secondary-content .product-details img {
    height: 100px;
}

@media (min-width: 768px) {
    .secondary-content .product-details {
        height: 100%;
        /* width: 200px; */
    }

    .secondary-content .product-details img {
        height: 150px;
    }
}

.secondary-content .achiveAndCertificate-image img {
    height: 100px;
}

.gallery-images .swiper {
    width: 100%;
    height: 250px;
    padding-left: 10px;
    border-radius: 10px;
}

.gallery-images .swiper-slide {
    background: #fff;
    height: 100%;
    border-radius: 10px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.15);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    transition: width 0.3s ease;
    overflow: hidden;
}

.gallery-images .swiper-slide.active-large {
    width: 60% !important;
}

.gallery-images .swiper-slide:not(.active-large) {
    width: 20% !important;
}


.gallery-video .swiper {
    width: 100%;
    height: auto;
    /* margin: 20px auto; */
}

.gallery-video .swiper-slide {
    background: #111;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: var(--bs-border-radius-lg);
}

.gallery-video .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.gallery-video .productSwiper {
    height: 250px;
    width: 100%;
}

.gallery-video .productThumbsSwiper {
    height: 100px;
    box-sizing: border-box;
    padding-top: 1rem;
}

.gallery-video .productThumbsSwiper .swiper-slide {
    width: 25%;
    height: 100%;
    opacity: 0.4;
    transition: 0.3s;
}

.gallery-video .productThumbsSwiper .swiper-slide-thumb-active {
    opacity: 1;
}

.swiper .swiper-button-next,
.swiper .swiper-button-prev {
    color: var(--bs-dark);
    background-color: white;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    box-shadow: 0 5px 10px var(--bs-dark);
}

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 20px;
    font-weight: 700;
}

.lightbox-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.85);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    flex-direction: column;
}

.lightbox-overlay img {
    max-width: 90vw;
    max-height: 90vh;
    object-fit: contain;
    box-shadow: 0 0 20px #000;
    border-radius: 10px;
    z-index: 1;
    background-color: var(--bs-light);
}

.lightbox-close {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 32px;
    color: white;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 2;
}

.preview-img {
    cursor: pointer;
    /* background-color: var(--bs-light); */
}

.multi-line-truncate {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* Limit the text to 2 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}